import { ConfigManagerOptions, JinDanConfig } from 'jindan-types';
export declare class JinDanConfigManager {
    static getStoredRemoteConfig(): Partial<JinDanConfig> | null;
    static getStoredRemoteConfigMeta(): {
        version: number | undefined;
        createTime: number | undefined;
    } | null;
    private config?;
    constructor(opts: ConfigManagerOptions);
    initConfig(localConfig: JinDanConfig): Promise<void>;
    setupRemoteConfig(config: Partial<JinDanConfig>, immediate?: boolean): Promise<void>;
    getReplacementEnabled(): boolean;
    getReplacementBaseUrl(): Promise<string>;
    getResourceManifest(): import("jindan-types").JinDanManifest;
}
