import { ApplicationInfo, EndpointFallbackOptions, RemoteOptions } from 'jindan-types';
import { JinDanConfigManager } from './config';
export interface EndPointConstructorOpts extends RemoteOptions {
    appInfo: ApplicationInfo;
    fallbackOptions: EndpointFallbackOptions;
    configManager: JinDanConfigManager;
}
export declare class JinDanEndpoint {
    private async;
    private requestAll;
    private endpoints;
    private appInfo;
    private fallbackOptions;
    private configManager;
    private token?;
    constructor(opts: EndPointConstructorOpts);
    request(fetchOptions?: RequestInit): Promise<void>;
    private formatFallbackPath;
    private composeEndpoints;
    private requestRemote;
    private delayWhenFailed;
    private createRemoteRequest;
}
