import { JinDanManifest } from './manifest';
import { FallbackOptions, RemoteOptions } from './options';
export interface ConfigManagerOptions {
    local: JinDanConfig;
}
type FallbackConfig = FallbackOptions;
type RemoteConfig = RemoteOptions;
export interface ReplacementConfig {
    enabled: boolean;
    manifest?: JinDanManifest;
}
export interface JinDanConfig {
    replacement: ReplacementConfig;
    remote?: RemoteConfig;
    fallback?: FallbackConfig;
    version?: number;
    createTime?: number;
}
export {};
